
#ifndef SIZE_SELECT__DIALOG
#define SIZE_SELECT__DIALOG

#include <windows.h>
#include <ocidl.h>
#include <streams.h>

class SizeSelect_Dialog : public CBasePropertyPage
{
public:

// creation
	//int incoming_width;
	//int incoming_height;

//	int	scaleTo_width;
//	int scaleTo_height;

	// create an instance
  static CUnknown* WINAPI CreateInstance (LPUNKNOWN owner, HRESULT* result);


// CBasePropertyPage overrides

	// Called when a message is sent to the property page dialog box. 
	virtual BOOL OnReceiveMessage (HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);

protected:

// protected interface
	// default creation
	SizeSelect_Dialog (LPUNKNOWN owner, HRESULT* result);

private:

	HWND window;


// no generated methods
	SizeSelect_Dialog (const SizeSelect_Dialog&);
	const SizeSelect_Dialog& operator = (const SizeSelect_Dialog&);


}; // class About_PropertyPage


#endif // SIZE_SELECT__DIALOG

#ifndef SIZE_SELECT__DIALOG
#define SIZE_SELECT__DIALOG

#include <windows.h>


class SizeSelect_Dialog
{

public:

// creation

	// create with specified incoming width/height
	SizeSelect_Dialog (int width, int height);

// sampling method
	enum SamplingMethod
	{
		SAMPLING_NEAREST,
		SAMPLING_BILINEAR,
		SAMPLING_CUBIC
	};

// interface

	// create the dialog
	void createDialog (HINSTANCE instance);

	int incoming_width;
	int incoming_height;

	int	scaleTo_width;
	int scaleTo_height;

	SamplingMethod upSampling;
	SamplingMethod downSampling;


private:

	HWND window;

	// on WM_INITDIALOG
	void on_initDialog ();

	// on WM_CLOSE
	void on_close ();

	// dialog box procedure
	static BOOL CALLBACK DialogProc (HWND window, UINT message, WPARAM wParam, LPARAM lParam);


// no generated methods
	SizeSelect_Dialog (const SizeSelect_Dialog&);
	const SizeSelect_Dialog& operator = (const SizeSelect_Dialog&);

}; // class SizeSelect_Dialog

#endif // SIZE_SELECT__DIALOG
*/